<template>
  <div class="subjects">
    <subjectCard class="subject" v-for="subject in subjects" :key="subject.id"
             :data="subject"></subjectCard>
  </div>
</template>

<script>
import SubjectCard from '@/components/UI/molecules/SubjectCard.vue';
// import subjects from '../../../dummy_data/subjects';

export default {
  name: 'SubjectsList',
  components: { SubjectCard },
  props: ['subjects'],
  // data() {
  //   return {
  //     subjects,
  //   };
  // },
};
</script>

<style scoped lang="scss">
  .subjects{
    display: flex;
    flex-wrap: wrap;
    background-color: rgba(9, 99, 155, 0.09);
    min-height: 200px;
    width: 70%;
    margin: 0 auto;
    padding: 2%;
    border-radius: 10px;

    .subject{
      margin: 10px;
    }
  }
</style>
